//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HOD.Data.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class UserProfile
    {
        public UserProfile()
        {
            this.Listings = new HashSet<Listing>();
            this.Messages = new HashSet<Message>();
            this.Messages1 = new HashSet<Message>();
            this.StripePayments = new HashSet<StripePayment>();
            this.UserProfilePages = new HashSet<UserProfilePage>();
        }
    
        public int UserId { get; set; }
        public string UserName { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Address { get; set; }
        public string City { get; set; }
        public string Province { get; set; }
        public string PostalCode { get; set; }
        public string PhoneNumberCell { get; set; }
        public string PhoneNumberLandLine { get; set; }
        public string Carrier { get; set; }
        public string BillingName { get; set; }
        public string BillingAddress { get; set; }
        public string BillingCity { get; set; }
        public string BillingProvince { get; set; }
        public string BillingPostalCode { get; set; }
        public string StripeChargeId { get; set; }
        public int UserTypeId { get; set; }
        public Nullable<bool> PrivateMessageFeature { get; set; }
        public string StripeCustomerId { get; set; }
        public Nullable<bool> isAgent { get; set; }
        public string AgentURL { get; set; }
        public Nullable<int> AgentID { get; set; }
        public string Referrer { get; set; }
        public string Tier { get; set; }
        public string NoOfEmployees { get; set; }
        public string BusinessName { get; set; }
        public string Country { get; set; }
        public string AgentSubDomain { get; set; }
    
        public virtual ICollection<Listing> Listings { get; set; }
        public virtual ICollection<Message> Messages { get; set; }
        public virtual ICollection<Message> Messages1 { get; set; }
        public virtual ICollection<StripePayment> StripePayments { get; set; }
        public virtual UserPackage UserPackage { get; set; }
        public virtual UserType UserType { get; set; }
        public virtual ICollection<UserProfilePage> UserProfilePages { get; set; }
    }
}
